Name:           grads
Version:        2.0.a7.1
Release:        0.3%{?dist}
Summary:        Tool for easy acces, manipulation, and visualization of data

Group:          Applications/Engineering
# gxeps is under the MIT, other programs are GPLv2
License:        GPLv2 and MIT
URL:            http://grads.iges.org/grads/grads.html

# original tarball contains non free code
#Source0:        ftp://grads.iges.org/grads/1.9/grads-src-%{version}.tar.gz
Source0:        grads-%{version}-src.tar.gz

# Copyrights explanation
Source2:        grads-copyright_summary
# README telling to turn BackingStore true
Source3:        grads-README.xorg
Source4:        geotiff.m4
Patch0:		grads-find-geotiff.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  hdf-static hdf-devel
BuildRequires:  g2clib-static g2clib-devel
BuildRequires:  udunits-devel netcdf-devel 
BuildRequires:  readline-devel
BuildRequires:  libnc-dap-devel
BuildRequires:  zlib-devel libjpeg-devel gd-devel libgeotiff-devel
BuildRequires:  ncurses-devel libpng-devel
BuildRequires:  libXmu-devel libX11-devel libsx-devel
BuildRequires:  pkgconfig
BuildRequires:  automake

# in a separate package now
Requires:       wgrib

%description
The Grid Analysis and Display System (GrADS) is an interactive desktop tool
that is used for easy access, manipulation, and visualization of earth science
data. The format of the data may be either binary, GRIB, NetCDF, or HDF-SDS
(Scientific Data Sets). GrADS has been implemented worldwide on a variety of
commonly used operating systems and is freely distributed over the Internet.


%prep
%setup -q
%patch0 -p0 -b .geotiff
# change path to datas to %{_datadir}/%{name}
sed -i -e 's@/usr/local/lib/grads@%{_datadir}/%{name}@' src/gxsubs.c
cp -p %{SOURCE2} .
# README for use with xorg
cp -p %{SOURCE3} README.xorg
cp -p %{SOURCE4} m4/
autoreconf -f -i

%build
#./bootstrap
%configure --enable-dyn-supplibs --without-gui --with-geotiff LDFLAGS="-L%{_libdir}/ -L%{_libdir}/hdf/" CPPFLAGS="-I%{_includedir}/ -I%{_includedir}/netcdf/ -I%{_includedir}/hdf/"

make %{?_smp_mflags}

rm -rf __dist_docs
mkdir __dist_docs
cp -a doc __dist_docs/html


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%{__install} -d -m755 $RPM_BUILD_ROOT%{_datadir}/%{name}
%{__install} -p -m644 data/*.dat data/*res $RPM_BUILD_ROOT%{_datadir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYRIGHT __dist_docs/html README.xorg grads-copyright_summary
%{_bindir}/bufrscan
%{_bindir}/grads
%{_bindir}/gradsdap
%{_bindir}/gribmap
%{_bindir}/grib2scan
%{_bindir}/gribscan
%{_bindir}/gxeps
%{_bindir}/gxps
%{_bindir}/gxtran
%{_bindir}/stnmap
# wgrib is in a separate package
%exclude %{_bindir}/wgrib
%{_datadir}/grads/


%changelog
* Tue Dec  8 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.a7.1-0.3
- Same as below with hdf-static.
- Explicitly BR g2clib-static in accordance with the Packaging
  Guidelines (g2clib-devel is still static-only).

* Fri Nov 27 2009 Deji Akingunola <dakingun@gmail.com> - 2.0.a7.1-0.1
- Update to 2.0.a7 (See http://grads.iges.org/grads/changelog-2.0.txt for 
  detailed list of changes in 2.0.x release)
- Cleanup the spec

* Mon Feb 23 2009 Deji Akingunola <dakingun@gmail.com> - 2.0.a5-0.1
- Update to 2.x series

* Thu Sep 11 2008 - Patrice Dumas <pertusus@free.fr> 1.9b4-25
- rebuild for new libnc-dap
- rediff patches
- use new netcdf devel file locations

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.9b4-23
- Autorebuild for GCC 4.3

* Fri Jan  4 2008 Patrice Dumas <pertusus@free.fr> 1.9b4-22
- rebuild for new libdap soname (indirect dependency through libnc-dap)

* Wed Aug 22 2007 Patrice Dumas <pertusus@free.fr> 1.9b4-21
- source is modified, use another name than upstream
- clarify licenses
- keep timestamps
- rework patches
- use newer libdap and libnc-dap autoconf macros

* Thu Feb  1 2007 Patrice Dumas <pertusus@free.fr> 1.9b4-20
- rebuild to link against ncurses instead termcap (#226759)

* Thu Nov 16 2006 Patrice Dumas <pertusus@free.fr> 1.9b4-19
- don't ship wgrib but depend on it

* Tue Oct 31 2006 Patrice Dumas <pertusus@free.fr> 1.9b4-18
- rebuild for new libcurl soname (indirect dependency through libnc-dap)

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 1.9b4-17
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Wed Sep 20 2006 Patrice Dumas <pertusus@free.fr> 1.9b4-16
- rebuild against libdap 3.7.2

* Mon Sep 11 2006 Patrice Dumas <pertusus@free.fr> 1.9b4-15
- rebuild for FC6

* Sat Jul 22 2006 Patrice Dumas <pertusus@free.fr> 1.9b4-14
- Update for newer libnc-dap

* Fri Jul  7 2006 Patrice Dumas <pertusus@free.fr> 1.9b4-12
- Added BR automake, fix #197942 

* Fri Apr 21 2006 Patrice Dumas <pertusus@free.fr> 1.9b4-11
- Add needed X related BR

* Fri Apr 21 2006 Patrice Dumas <pertusus@free.fr> 1.9b4-10
- remove unneeded X related BR and configure flags since the gui isn't built

* Sat Mar 11 2006 Patrice Dumas <pertusus@free.fr> 1.9b4-9
- rebuild for newer libdap

* Fri Feb 17 2006 Patrice Dumas <pertusus@free.fr> 1.9b4-8
- enable hdf for ppc, now that it is there
- use a wrapper include file to prepend sd_ to netcdf symbols for
  hdf if it is required

* Thu Jan 19 2006 Patrice Dumas <pertusus@free.fr> 1.9b4-6
- add BR on readline-devel close #178285

* Wed Dec 21 2005 Patrice Dumas <pertusus@free.fr> 1.9b4-5
- don't build the hdf interface on ppc, there is no hdf package

* Tue Dec 13 2005 Patrice Dumas <pertusus@free.fr> 1.9b4-4
- simplify handling of data, as they are in the tarball

* Tue Dec 13 2005 Patrice Dumas <pertusus@free.fr> 1.9b4-3
- remove files with GPL incompatible licences

* Tue Aug 16 2005 Patrice Dumas <pertusus@free.fr> 1.9b4-2
- use libsx without freq

* Fri Aug 12 2005 Patrice Dumas <pertusus@free.fr> 1.9b4-1
- initial release
